## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogSchema.ASEProcedureFactory

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogSchema.ASEProcedureFactory

All Implemented Interfaces:
  JDBCRoutineLoader.IRoutineFactory

Enclosing class:
  SybaseASECatalogSchema

    public static class SybaseASECatalogSchema.ASEProcedureFactory

extends java.lang.Object
implements JDBCRoutineLoader.IRoutineFactory

Constructor Summary
`SybaseASECatalogSchema.ASEProcedureFactory()`

Method Summary
`Routine` `createRoutine(java.sql.ResultSet rs)` Creates and initializes a routine object based on the meta-data in the result set.
`org.eclipse.emf.ecore.EClass` `getRoutineEClass()`
`void` `initialize(Routine sp, java.sql.ResultSet rs)` Initializes a routine object based on the meta-data in the result set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASECatalogSchema.ASEProcedureFactory

    public SybaseASECatalogSchema.ASEProcedureFactory()

Method Detail

### createRoutine

    public Routine createRoutine(java.sql.ResultSet rs)
                          throws java.sql.SQLException

  Description copied from interface: `JDBCRoutineLoader.IRoutineFactory`
  Creates and initializes a routine object based on the meta-data in the result set.

  Specified by:
    `createRoutine` in interface `JDBCRoutineLoader.IRoutineFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Routine object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### getRoutineEClass

    public org.eclipse.emf.ecore.EClass getRoutineEClass()

  Specified by:
    `getRoutineEClass` in interface `JDBCRoutineLoader.IRoutineFactory`
  Returns:
    the EClass used to represent the routine objects created by this factory. This is used to identify existing objects in the model during a refresh (e.g. to reuse the object, preventing external references from breaking).

### initialize

    public void initialize(Routine sp,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from interface: `JDBCRoutineLoader.IRoutineFactory`
  Initializes a routine object based on the meta-data in the result set. The routine object may be a new routine requiring initialization or an existing routine that is being reinitialized.

  Specified by:
    `initialize` in interface `JDBCRoutineLoader.IRoutineFactory`
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong